List Kubernetes bare metal nodes
A GET request to /v1/hosts/kubernetes_baremetal_nodes will list all Kubernetes bare metal nodes.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
location_id? | integerA unique identifier of a location. A request to list all the location IDs is described in the Location block. |
rack_id? | stringA unique identifier of a rack where a host is deployed. |
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/hosts/kubernetes_baremetal_nodes"[ { "id": "YRdG50aD", "kubernetes_cluster_id": "zPdy7aQr", "kubernetes_cluster_node_id": "X7ax9byv", "kubernetes_cluster_node_number": 12, "rack_id": "4zbqj2dp", "title": null, "location_id": 116, "location_code": "location250", "status": "active", "operational_status": "normal", "power_status": "powered_on", "configuration": "REMM R123", "private_ipv4_address": null, "public_ipv4_address": null, "lease_start_at": "2026-05-25", "scheduled_release_at": null, "type": "kubernetes_baremetal_node", "oob_ipv4_address": "198.29.114.3", "configuration_details": { "ram_size": null, "server_model_id": null, "server_model_name": null, "bandwidth_id": null, "bandwidth_name": null, "private_uplink_id": null, "private_uplink_name": null, "public_uplink_id": null, "public_uplink_name": null, "operating_system_id": null, "operating_system_full_name": null }, "labels": {}, "created_at": "2026-05-28T06:56:00Z", "updated_at": "2026-05-28T06:56:00Z" }]